Bug 890157 - Multiple placeholders within one string should have names to keep them in right order after translation
Multiple placeholders within one string should have names to keep them in rig...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Brian Lane
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-25 06:45 EST by TianShixiong
Modified: 2013-09-12 10:07 EDT (History)
9 users (show)

See Also:
Fixed In Version: anaconda-19.0-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-12 09:48:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description TianShixiong 2012-12-25 06:45:24 EST
Description of problem:
After recent anaconda update, 4 strings with multiple placeholders don't have names.

String ID: This Software RAID array is missing %d of %d member partitions. You can remove it or select a different device.

String ID: This LVM Volume Group is missing %d of %d physical volumes. You can remove it or select a different device.

String ID: This %s device is missing %d of %d %s. You can remove it or select a different device.

String ID: %s may not have enough space for grub2 to embed core.img when using
the %s filesystem on %s


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.open fedora.transifex.net
2.then open anaconda master po file
3.
  
Actual results:


Expected results:
They should be like these: %(partition)d, %(device)d ...

Additional info:
It's difficult even impossible to keep the right order of multiple placeholders within one line in translation.
So please add names for them. Like those already have.
Comment 1 Chris Lumens 2013-01-02 10:13:11 EST
Sending off a patch for this.  If I'm reading the code correctly, the third one should not ever even be displayed so don't worry about that one.  I'll remove it.
Comment 2 TianShixiong 2013-01-02 21:57:42 EST
(In reply to comment #1)
> Sending off a patch for this.  If I'm reading the code correctly, the third
> one should not ever even be displayed so don't worry about that one.  I'll
> remove it.
Thank you Chris.
Hope the patch will be pushed to transifex soon.
Comment 3 Brian Lane 2013-01-03 20:14:38 EST
yuminstall.py also has one:

A %s error occurred when installing the %s package.  This could indicate errors when reading the installation media.  Installation cannot continue.
Comment 4 Brian Lane 2013-01-03 20:18:49 EST
yeah, I know. yuminstall.py is dead code. nevermind.
Comment 5 TianShixiong 2013-01-05 06:25:22 EST
I didn't see the changes in transifex after the anaconda po file was updated. Problems are still there.
Comment 6 Adam Williamson 2013-05-10 01:59:05 EDT
TianShixiong, is this still an issue?
Comment 7 TianShixiong 2013-05-10 11:55:38 EDT
Yes, this one:
This %s device is missing %d of %d %s. You can remove it or select a different device.

Some of multiple palceholders in one string still don't have names, but it's possible to arrange the right order in translation. So I didn't list them here.
Comment 8 Adam Williamson 2013-05-10 12:32:10 EDT
Thanks, updating to F19.
Comment 9 David Shea 2013-09-12 09:48:53 EDT
We added a test for this in the latest anaconda and fixed what it found.
Comment 10 TianShixiong 2013-09-12 10:07:37 EDT
Thank you.
I see the updated po in transifex.

Note You need to log in before you can comment on or make changes to this bug.